Skip to main content
Simulates one or more transaction bundles against the current pre-confirmed Flashblock state. Supports state overrides, multi-block simulation, and optional transfer tracing.
Only available on Flashblocks endpoints: https://mainnet-preconf.base.org / https://sepolia-preconf.base.org.

Parameters

simulationPayload
object
required
The simulation configuration.
blockParameter
string
required
Use "pending" to simulate against the current Flashblock state.

Returns

result
array
Array of simulated block results, one per entry in blockStateCalls.

Example

curl https://sepolia-preconf.base.org \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_simulateV1",
    "params": [
      {
        "blockStateCalls": [
          {
            "calls": [{"to": "0x...", "data": "0x..."}],
            "stateOverrides": {}
          }
        ],
        "traceTransfers": true,
        "validation": true
      },
      "pending"
    ],
    "id": 1
  }'